com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum DiscoverComputersTaskParameters.SearchType

- java.lang.Object
- - java.lang.Enum<DiscoverComputersTaskParameters.SearchType>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.DiscoverComputersTaskParameters.SearchType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DiscoverComputersTaskParameters.SearchType>
  Enclosing class:
    DiscoverComputersTaskParameters

      public static enum DiscoverComputersTaskParameters.SearchType
      extends java.lang.Enum<DiscoverComputersTaskParameters.SearchType>

  Discover computers within a range of addresses or by using an IP Address and Mask.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MASKED_IP` Discover computers based on an IP Address and a Mask.
    `RANGE` Discover computers within a range of addresses.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DiscoverComputersTaskParameters.SearchType` | `forValue(int value)`
    `int` | `getValue()`
    `static DiscoverComputersTaskParameters.SearchType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DiscoverComputersTaskParameters.SearchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RANGE

          public static final DiscoverComputersTaskParameters.SearchType RANGE

      Discover computers within a range of addresses. This type requires the `ipRangeLow` and `ipRangeHigh` values to define the search criteria.

      Note that only IPv4 addresses are supported at this time.

    - #### MASKED_IP

          public static final DiscoverComputersTaskParameters.SearchType MASKED_IP

      Discover computers based on an IP Address and a Mask. This type requires the `ip` and `ipMask` values to define the search criteria.

      Note that only IPv4 addresses are supported at this time.

  - ### Method Detail

    - #### values

          public static DiscoverComputersTaskParameters.SearchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DiscoverComputersTaskParameters.SearchType c : DiscoverComputersTaskParameters.SearchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DiscoverComputersTaskParameters.SearchType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static DiscoverComputersTaskParameters.SearchType forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.